Bug 236239 - www/phalcon: update to 3.4.3, adds PHP 7.3 support
Summary: www/phalcon: update to 3.4.3, adds PHP 7.3 support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jochen Neumeister
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-05 06:35 UTC by Franco Fichtner
Modified: 2019-03-20 15:01 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (linpct)


Attachments
Phalcon 3.4.3 (1022 bytes, patch)
2019-03-05 06:35 UTC, Franco Fichtner
no flags Details | Diff
3.4.3 with spurious PHP_VER check gone (1.29 KB, patch)
2019-03-05 06:58 UTC, Franco Fichtner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Franco Fichtner 2019-03-05 06:35:44 UTC
Created attachment 202569 [details]
Phalcon 3.4.3

Changelog: https://github.com/phalcon/cphalcon/releases/tag/v3.4.3


Cheers,
Franco
Comment 1 Franco Fichtner 2019-03-05 06:58:32 UTC
Created attachment 202571 [details]
3.4.3 with spurious PHP_VER check gone
Comment 2 Franco Fichtner 2019-03-15 07:28:39 UTC
Hi Jochen,

What's the status here?  Do you need anything from me?

BTW, I also have a Phalcon 4 port ready for their Alpha release:

https://github.com/opnsense/ports/tree/master/opnsense/phalcon4

Since this version is not going to be backwards-comaptible should the port be named "phalcon4" in anticipation of the release or rather go with phalcon-devel and deal with the name / renaming of phalcon(3) later?


Cheers,
Franco
Comment 3 Jochen Neumeister freebsd_committer 2019-03-15 08:36:30 UTC
There is no approval from Maintainer, so we must wait 2 weeks for timeout
Comment 4 linpct 2019-03-20 04:40:03 UTC
Hi, I have not use Phalcon for a while, could someone take this port maintain?
Comment 5 Franco Fichtner 2019-03-20 06:01:29 UTC
Hi,

Sure, I'll take it.


Cheers,
Franco
Comment 6 commit-hook freebsd_committer 2019-03-20 12:27:37 UTC
A commit references this bug:

Author: joneum
Date: Wed Mar 20 12:26:50 UTC 2019
New revision: 496338
URL: https://svnweb.freebsd.org/changeset/ports/496338

Log:
  Update to 3.4.3

  Changelog: https://github.com/phalcon/cphalcon/releases/tag/v3.4.3

  - Add PHP 7.3 support
  - Give Maintainership to Submitter [1]

  PR:		236239
  Reported by:	Franco Fichtner <franco@opnsense.org>
  Approved by:	maintainer [1]
  Sponsored by:	Netzkommune GmbH

Changes:
  head/www/phalcon/Makefile
  head/www/phalcon/distinfo
Comment 7 Jochen Neumeister freebsd_committer 2019-03-20 12:28:20 UTC
Landed. Thx
Comment 8 Franco Fichtner 2019-03-20 13:11:17 UTC
Neat, thanks!
Comment 9 linpct 2019-03-20 15:01:32 UTC
Thanks all!